html {
    background-color: #111;
    color: #eee;
    font-family: monospace;
    font-size: 1rem;
}

body {
    margin: 4rem 2rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

main {
    position: relative;
    width: 100%;
    max-width: 24rem;
    display: flex;
    flex-direction: column;
    gap: 4rem;
}

a {
    color: violet;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

input {
    border: 1px solid #fff;
    outline: none;
    width: 100%;
    font-family: monospace;
    padding: 0.5rem;
    background-color: #222;
    color: #eee;
    box-sizing: border-box;
}

button {
    border: 1px solid #fff;
    background-color: #bbb;
    outline: none;
    width: 100%;
    font-family: monospace;
    padding: 0.5rem;
    cursor: pointer;
}

button:hover {
    background-color: #999;
}

button:active {
    transform: scale(97.5%);
}

form {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

h1 {
    margin: 0;
}

#results {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    background-color: #222;
    padding: 1rem;
    white-space: nowrap;
    overflow: hidden;
}

#results:not(:has(.result)) {
    display: none;
}
